今天升级Android Studio 4.1 Canary 9的时候,一致报错无法打开项目


Missing essential plugin:   org.jetbrains.android Please reinstall Android Studio from scratch.

Internal error. Please refer to https://code.google.com/p/android/issues

java.lang.NoSuchMethodError: com.intellij.ide.plugins.PluginManagerCore.loadDescriptors()[Lcom/intellij/ide/plugins/IdeaPluginDescriptorImpl;
    at com.a.a.b.b.ar.a(ar.java:121)
    at com.a.a.b.b.ar.a(ar.java:71)
    at com.intellij.idea.MainImpl.start(MainImpl.java:19)
    at com.intellij.idea.StartupUtil.startApp(StartupUtil.java:303)
    at com.intellij.idea.StartupUtil.prepareApp(StartupUtil.java:245)
    at com.intellij.ide.plugins.MainRunner.lambda$start$0(MainRunner.java:47)
    at java.lang.Thread.run(Thread.java:748)

-----
JRE 1.8.0_242-release-1644-b01 amd64 by JetBrains s.r.o
C:\Program Files\Android\Android Studio\jre\jre

这是因为你安装的时候使用了上个版本的配置,包括各种插件,如果你上个版本安装过Kotlin的插件的话,就会出现上面的情况,因为,目前还没有适合4.1 Canary 9的kotlin插件。

但是呢,这不代表4.1 Canary 9上不能用kotlin了,事实上4.1 Canary 9已经内置了一个kotlin插件,无需再另外安装了。

扯了这么多,没什么卵用,解决办法才是王道!!!那就是把之前的配置的+kotlin插件删掉,插件位置如下

Linux: ~/.local/share/Google/AndroidStudioPreview4.1/plugins

Windows: C:\Users\YourUserName\AppData\Roaming\Google\AndroidStudioPreview4.1\plugins

MacOS: ~/Library/Application Support/Google/AndroidStudioPreview4.1/plugins

其他问题以及新的特性可以参考这个网页 [https://developer.android.com/studio/preview/features#4-0-preview-known-issues]
(https://developer.android.com/studio/preview/features#4-0-preview-known-issues)

Android Studio常用设置

疑难杂症

# [Re-download dependencies and sync project (requires network)](https://www.cnblogs.com/zhang-cb/p/6689172.html)

解决 找到C:\Users{yourname}.gradle\wrapper\dists 相应的gradle删除即可